Bug 22977 - Update request: nonfree firmwares, snapshot 20180518
Summary: Update request: nonfree firmwares, snapshot 20180518
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords: advisory, validated_update
Depends on:
Blocks: 23075 23076 23077
  Show dependency treegraph
 
Reported: 2018-05-01 00:20 CEST by Thomas Backlund
Modified: 2018-05-29 21:42 CEST (History)
7 users (show)

See Also:
Source RPM: kernel-firmware-nonfree
CVE:
Status comment:


Attachments

Description Thomas Backlund 2018-05-01 00:20:01 CEST
Updated nonfree firmwares:

- kernel-firmware-nonfree:
  * ath10k: QCA9984 hw1.0: update firmware-5.bin to 10.4-3.5.3-00053
  * ath10k: QCA988X hw2.0: update firmware-5.bin to 10.2.4-1.0-00037
  * ath10k: QCA9888 hw2.0: update firmware-5.bin to 10.4-3.5.3-00053
  * ath10k: QCA9887 hw1.0: update firmware-5.bin to 10.2.4-1.0-00037
  * ath10k: QCA9377 hw1.0: update firmware-5.bin to WLAN.TF.1.0-00002-QCATFSWPZ-5
  * ath10k: QCA6174 hw3.0: update board-2.bin
  * ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00079-QCARMSWPZ-1
  * ath10k: QCA4019 hw1.0: update board-2.bin
  * ath10k: QCA4019 hw1.0: update firmware-5.bin to 10.4-3.5.3-00053
  * Cypress Bluetooth firmware for HTC Vive
  * cxgb4: update firmware to revision 1.18.9.0
  * intel: Update Kabylake, Geminilake audio firmware
  * intel: Update Skylake, Broxton audio firmware
  * Mellanox: Add new mlxsw_spectrum firmware 13.1620.192
  * nfp: update Agilio SmartNIC firmware to rev 2.0.7
  * qed: Add firmware 8.33.11.0, 8.20.0.0 8.18.9.0 and 8.14.6.0
  * rsi: update firmware images for Redpine 9113 chipset
  * wil6210: update firmware to 5.2.0.18
- iwlwifi-firmware:
  * Update FWs for 3160, 7260 and 7265
  * Update FWs for 3168 and 7265D
  * Update FWs for 8000C and 8265
  * Update FWs for 9000 and 9260
  * Update bluetooth FWs for 9260, 9560
  * Update bluetooth FWs for 8260, 8265, 7265
- radeon-firmware:
  * amdgpu: update vce firmware for Polaris



SRPMS:
kernel-firmware-nonfree-20180409-1.mga6.nonfree.src.rpm
radeon-firmware-20180409-1.mga6.nonfree.src.rpm



i586:
iwlwifi-firmware-20180409-1.mga6.nonfree.noarch.rpm
kernel-firmware-nonfree-20180409-1.mga6.nonfree.noarch.rpm
radeon-firmware-20180409-1.mga6.nonfree.noarch.rpm
ralink-firmware-20180409-1.mga6.nonfree.noarch.rpm
rtlwifi-firmware-20180409-1.mga6.nonfree.noarch.rpm



x86_64:
iwlwifi-firmware-20180409-1.mga6.nonfree.noarch.rpm
kernel-firmware-nonfree-20180409-1.mga6.nonfree.noarch.rpm
radeon-firmware-20180409-1.mga6.nonfree.noarch.rpm
ralink-firmware-20180409-1.mga6.nonfree.noarch.rpm
rtlwifi-firmware-20180409-1.mga6.nonfree.noarch.rpm
Comment 1 Thomas Andrews 2018-05-01 03:11:31 CEST
HP 6550b, i3, 8GB, Intel graphics, Intel Centrino Advanced N 6200 wifi, 64-bit Plasma 5.12.2 system, previously updated to desktop kernel 4.14.38.

My hardware isn't on the above list, but it does need the iwlwifi firmware. 

No problems seen after the update.

CC: (none) => andrewsfarm

Comment 2 Thomas Andrews 2018-05-03 02:06:00 CEST
Updated other hardware with Atheros AR928X wifi. Again, not on the list, but everything still works.
Comment 3 PC LX 2018-05-04 12:11:41 CEST
Installed without regressions.

Don't have any of the hardware on the above list so can't do any meaningful testing, still no regressions caused on my hardware.

CC: (none) => mageia

Comment 4 PC LX 2018-05-04 12:13:40 CEST
Some more info.

$ uname -a
Linux marte 4.14.38-desktop-1.mga6 #1 SMP Mon Apr 30 13:15:08 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[$ rpm -qa | grep firmware
kernel-firmware-nonfree-20180409-1.mga6.nonfree
kernel-firmware-20170531-1.mga6
Comment 5 Lewis Smith 2018-05-14 16:51:12 CEST
M6/64 real EFI hardware with AMD/ATI/Radeon video, no bluetooth or wifi.

4.14.40-desktop-1.mga6
radeon-firmware-20180409-1.mga6.nonfree
rtlwifi-firmware-20180409-1.mga6.nonfree
[kernel-firmware-20170531-1.mga6]
kernel-firmware-nonfree-20180409-1.mga6.nonfree
[bluez-firmware-1.2-13.mga6.nonfree]
iwlwifi-firmware-20180409-1.mga6.nonfree
ralink-firmware-20180409-1.mga6.nonfree

Running several hours with no ill effects. OK for me.
Comment 6 Len Lawrence 2018-05-15 08:44:58 CEST
System:    Host: difda Kernel: 4.14.40-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790 (-HT-MCP-) speed/max: 3870/4000 MHz
Machine:   Device: desktop Mobo: MSI model: Z97-G43 (MS-7816) v: 3.0
Graphics:  Card: NVIDIA GM204 [GeForce GTX 970]
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet

Probably not affected by these updates.  kernel firmware already installed and running for a while.  Everything OK after reboot.

CC: (none) => tarazed25

Comment 7 Thomas Backlund 2018-05-18 18:14:09 CEST
Putting on hold as new firmwares are out that we want...

Keywords: (none) => feedback

Comment 8 Thomas Backlund 2018-05-19 22:13:54 CEST
Updated firmwares pushed...

addendum changes to initial info in comment 0:

- radeon-firmware:
  * update Polaris10, Polaris11, Polaris12, Vega10, Carrizo, Topaz, Stone,
    Tonga, Fiji, Raven firmwares

- iwlwifi-firmware:
  * update bluetooth firmware for 7260, 7265, 8265, 9260, 9560

- kernel-firmware-nonfree:
  * nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.9.A.16
  * cxgb4: update firmware to revision 1.19.1.0
  * qed: Add firmware 8.33.12.0
  * Update Intel OPA hfi1 firmware
  * liquidio: update firmware to v1.7.2
  * update Marvell SD8897, USB8997 firmware image to add WPA2 vuln fix




rpms to test:


SRPMS:
kernel-firmware-nonfree-20180518-1.mga6.nonfree.src.rpm
radeon-firmware-20180518-1.mga6.nonfree.src.rpm



i586:
iwlwifi-firmware-20180518-1.mga6.nonfree.noarch.rpm
kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch.rpm
radeon-firmware-20180518-1.mga6.nonfree.noarch.rpm
ralink-firmware-20180518-1.mga6.nonfree.noarch.rpm
rtlwifi-firmware-20180518-1.mga6.nonfree.noarch.rpm



x86_64:
iwlwifi-firmware-20180518-1.mga6.nonfree.noarch.rpm
kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch.rpm
radeon-firmware-20180518-1.mga6.nonfree.noarch.rpm
ralink-firmware-20180518-1.mga6.nonfree.noarch.rpm
rtlwifi-firmware-20180518-1.mga6.nonfree.noarch.rpm

Keywords: feedback => (none)

David Walser 2018-05-20 00:21:26 CEST

Summary: Update request: nonfree firmwares, snapshot 20180409 => Update request: nonfree firmwares, snapshot 20180518

Comment 9 Herman Viaene 2018-05-22 11:16:52 CEST
MGA6-32 on IBM Thinkpad R50e, Celeron M, Intel Pro/Wireless 2200BG.
No installation issues.
Wifi connection comes up after reboot, and is - as before - not an exaple of stability on this laptop (not sure yet if the wifi chipset-driver is to blame).
No obvious regressions.

CC: (none) => herman.viaene

Comment 10 Thomas Andrews 2018-05-23 02:49:43 CEST
Updated the hardware from Comment 1. This hardware still not on the list, and no regressions noted.
Thomas Backlund 2018-05-23 09:27:53 CEST

Blocks: (none) => 23075

Thomas Backlund 2018-05-23 09:28:01 CEST

Blocks: (none) => 23076

Thomas Backlund 2018-05-23 09:28:09 CEST

Blocks: (none) => 23077

Comment 11 Len Lawrence 2018-05-23 12:11:11 CEST
Installed prior to a kernel update.

Kernel: 4.14.40-server-1.mga6 x86_64
Intel Core i7-2600 (-HT-MCP-)
NVIDIA GF114 [GeForce GTX 555]

Successful reboot.  Desktop OK.
Comment 12 Len Lawrence 2018-05-23 13:33:21 CEST
These have been installed on this machine for a few days now.

System:    Host: vega Kernel: 4.14.40-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790K (-HT-MCP-) speed: 4400 MHz (max)
Machine:   Device: desktop Mobo: Gigabyte model: G1.Sniper Z97 v: x.x
           UEFI: American Megatrends v: F6 date: 05/30/2014
Graphics:  Card-2: NVIDIA GK104 [GeForce GTX 770]
           GLX Version: 4.6.0 NVIDIA 390.59
RAM:       15.35 GB
Comment 13 Morgan Leijström 2018-05-23 13:35:35 CEST
No noticed breakage here

64 bit OK with kernel-desktop 4.14.40,42,43 on my workstation, CPU i7-2600K, with all updates in testing; nvidia-current, virtualbox with MSW7, LVM on LUKS

64 bit OK with kernel-desktop 4.14.43 on laptop Thinkpad T60, CPU core2Duo T5600, ati RV515/M54 X1400, wifi AR5418, LVM on LUKS, with all updates in testing.  Also resume from suspend and hibernation tested OK.

CC: (none) => fri

Comment 14 Thomas Andrews 2018-05-24 02:57:45 CEST
Installed on a Athlon X2 machine with a wifi card that uses ath9k, so this update should not affect it.

It didn't. After a cold boot, wifi still came up, functioning normally.
Comment 15 James Kerr 2018-05-24 07:01:37 CEST
on mga6-64

packages installed cleanly:
- iwlwifi-firmware-20180518-1.mga6.nonfree.noarch
- kernel-firmware-nonfree-20180518-1.mga6.nonfree.noarch
- radeon-firmware-20180518-1.mga6.nonfree.noarch
- ralink-firmware-20180518-1.mga6.nonfree.noarch
- rtlwifi-firmware-20180518-1.mga6.nonfree.noarch

no wifi on this system
no regressions noted

OK on this system:
Machine:   Device: desktop System: Dell product: Precision Tower 3620
Graphics:  Card: Intel HD Graphics 530
Audio:     Card-1 Dell AC511 USB SoundBar driver: USB-Audio

CC: (none) => jim

Comment 16 Thomas Backlund 2018-05-29 20:11:01 CEST
Validating as its blocking the kernel update and has been in testing 1-4 weeks and in cauldron.

Advisory added to svn:

type: bugfix
subject: Updated nonfree firmwares
src:
  6:
   nonfree:
     - kernel-firmware-nonfree-20180518-1.mga6.nonfree
     - radeon-firmware-20180518-1.mga6.nonfree
description: |
  This updates the following nonfree fimwares:

  kernel-firmware-nonfree:
  * ath10k: QCA9984 hw1.0: update firmware-5.bin to 10.4-3.5.3-00053
  * ath10k: QCA988X hw2.0: update firmware-5.bin to 10.2.4-1.0-00037
  * ath10k: QCA9888 hw2.0: update firmware-5.bin to 10.4-3.5.3-00053
  * ath10k: QCA9887 hw1.0: update firmware-5.bin to 10.2.4-1.0-00037
  * ath10k: QCA9377 hw1.0: update firmware-5.bin to WLAN.TF.1.0-00002-QCATFSWPZ-5
  * ath10k: QCA6174 hw3.0: update board-2.bin
  * ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00079-QCARMSWPZ-1
  * ath10k: QCA4019 hw1.0: update board-2.bin
  * ath10k: QCA4019 hw1.0: update firmware-5.bin to 10.4-3.5.3-00053
  * Cypress Bluetooth firmware for HTC Vive
  * cxgb4: update firmware to revision 1.19.1.0
  * intel: Update Kabylake, Geminilake audio firmware
  * intel: Update Skylake, Broxton audio firmware
  * Update Intel OPA hfi1 firmware
  * liquidio: update firmware to v1.7.2
  * update Marvell SD8897, USB8997 firmware image to add WPA2 vuln fix
  * Mellanox: Add new mlxsw_spectrum firmware 13.1620.192
  * nfp: update Agilio SmartNIC firmware to rev 2.0.7
  * nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.9.A.16
  * qed: Add firmware 8.33.12.0, 8.33.11.0, 8.20.0.0 8.18.9.0 and 8.14.6.0
  * rsi: update firmware images for Redpine 9113 chipset
  * wil6210: update firmware to 5.2.0.18
 
   iwlwifi-firmware:
   * Update wireless FWs for 3160, 3168, 7260, 7265, 7265D, 8000C, 8265,
     9000, 9260
   * Update bluetooth FWs for 9260, 9560, 8265, 8260, 7265, 7260

  radeon-firmware:
  * update Polaris10, Polaris11, Polaris12, Vega10, Carrizo, Topaz,
    Stone, Tonga, Fiji, Raven firmwares
references:
 - https://bugs.mageia.org/show_bug.cgi?id=22977

CC: (none) => sysadmin-bugs
Keywords: (none) => advisory, validated_update

Comment 17 Mageia Robot 2018-05-29 21:42:17 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0102.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.